<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
//loadJS('jquery-validate');
//loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela finalidade=$finalidade  Ano amostra=$anoAmostra<br>");
if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}



$userAmostra = new amostras();
$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
$userAmostra->selecionaCampos($userAmostra);
while ($resAmostra = $userAmostra->retornaDados()):
    $amostraLong=$resAmostra->fic_id;
    $idCultivar=$resAmostra->fic_cultivar;
    $idProdutor=$resAmostra->fic_produtor;
    $ultima=$resAmostra->fic_amostra;
	$amostra=$resAmostra->fic_amostra;
	$lote=$resAmostra->fic_lote;
endwhile;		






//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");


switch ($tela):
    case 'editar':
	
	if(post('auxiliares') !== ""):
         $sessao->setVar('controle','basico');
		 echo '<iframe src="tetrazolio_comandos_auxiliares.php" style="border:0" width="70%" height="170"></iframe>';	 //funciona  
    endif;
	$modex=get('modo');
	//echo("modex=$modex<br>");
	$sessao->setVar('controle2',$modex);
	//$sessao->setVar('controle2',$modex);
		/////////////////////////////////////
		//aqui verifica se tem o registro de tzo e se nao tem ja cria na hora
		$user = new rean1();
		$user->extras_select = " WHERE  rea_teste='TZO' and  rea_ficha=".$amostraLong;
		$user->selecionaTudo($user);
		$registros=$user->linhasafetadas;
		//SE NAO TEM UM REGISTRO DE TZO AINDA NA AMOSTRA ENTAO CRIA UMM
		//AQUI VI CRIAR UM REGISTRO, ESEPECIALMENTE PARA O CASO DE TETRAZOLIO TRANSPOR FICHA
		if($registros<1):
		   $generica1=new tabelagenerica(); 
		   $sqlt="insert into rean1 (rea_teste,rea_ficha,rea_v1,rea_v2,rea_campo100,rea_lei4,rea_duracao)";
		   $sqlt.="values('TZO','$amostraLong','-N-','-N-','-N-','TZ3','$modalidadeArquivada')";
		   $generica1->grava_registro_com_retorno($sqlt); 
           printMSG('Criou um registro para TZO nesta amostra, na modalidade '.$modex ,'alerta');
		   echo $sqlt;
		endif;		
		/////////////////////////////////

	
	
	
        //echo("esta no editar do tetrazzolio<br>");
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			$amostra=$resgenerica->fic_amostra;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;
  	    //echo("eeeeeeeeeeeeeeeeespecie= $especie<br>"); 
 
$limiteLinhas=7;
$limiteColunas=61;//estava 55
$executaBasico="SIM";
$tipo=post('tipo');
$repeticao=post('repeticao');
if($repeticao==NULL || $repeticao==""):
   $repeticao="1";
   //echo("repticao deu nill<br>");
else:
   //echo("repticao deu diferente de nul e de traco $repeticao <br>");
endif;


//troca modalidade  pode ser 2x100  2x100   4x100 alternativa de OSCAR NELORE
if(post('modalidade') !== ""):
	 echo("xxxxxxxxxxxxxxxxxxxxxxxxxacionou o muda modalidae<br>");
     if(post('radiomodalidade')=='1x100')  $modalidadeArquivada="4";   
     if(post('radiomodalidade')=='2x100') $modalidadeArquivada="5";   
     if(post('radiomodalidade')=='4x100')  $modalidadeArquivada="6";   
	 $sql="update rean1 set rea_campo20a='$modalidadeArquivada' where REA_TESTE='TZO' && rea_ficha=".$amostraLong;
	 $generica=new tabelagenerica();
	 $generica->grava_registro_com_retorno($sql);
	 //quando ele troca ele deleta tudo que porventura ja tem 
	 
endif;


//aqui vai detectar se é para trabalhar com 100 ou 200 sementes
//e tambem vai criar um registro de tz caso ainda nao exista um vinculado a esta amostra hihihi
//o valor 4 é para 1x100  e o valor 5 é para 2x100
//vou criar um botao para 4x100  vou atribuir o valor 7
$generica=new tabelagenerica();
$generica->tabela="rean1";
$generica->campos_valores = array(
    "rea_campo20a" => NULL,
);
$generica->extras_select =" where  REA_TESTE='TZO' && rea_ficha=".$amostraLong;
$generica->selecionaCampos($generica);
$registros=0;
while ($resgenerica = $generica->retornaDados()):
    $registros++;
	$modalidadeArquivada=$resgenerica->rea_campo20a;
endwhile;
if($registros==0):
    $modalidadeArquivada='8';
 	//ja tenho a sql so tenho que mandar ele executar    
    echo("ppppppppppppppppprestar atencao pois esta criando registro controlador   $modalidadeArquivada  <br>");  
	$sql="insert into rean1 (rea_ficha,rea_campo20A,REA_TESTE,rea_lei4) values('$amostraLong','$modalidadeArquivada','TZO','TZ3')";
	$generica=new tabelagenerica();
	$generica->grava_registro_com_retorno($sql);
	echo("Criou novo registro na tabela REAN1.<br>");
endif;

if($modalidadeArquivada=='4')$cheque4='checked';
if($modalidadeArquivada=='5')$cheque5='checked';
if($modalidadeArquivada=='6')$cheque6='checked';


//echo("mmmmmmmmmmmmmmmmmmmmmodalidade arquvicad= $modalidadeArquivada $generica->extras_select<br>");


if($modalidadeArquivada=='4'):
	$multiplicador=2;
	$alerta100="";//alerta 100 é um aviso que a prepresentação sera dobrada por falta de espaço ou seja
	//se for 2x50 mostra literal mas se for 2x100 mostra so a metade exemplo nivel 1 deu 80 entao so mostra 40
elseif($modalidadeArquivada=='5'):
    $multiplicador=1;
	$alerta100="A representação será dobrada, ou seja cada representação vale por 2, por falta de espaço.";//alerta 100 é um aviso que a prepresentação sera dobrada por falta de espaço ou seja
	//se for 2x50 mostra literal mas se for 2x100 mostra so a metade exemplo nivel 1 deu 80 entao so mostra 40
else:
    //se for usado 1x50 vai entao multiplicar por 4 somar com a segunda repeticao zerada e dividir por 2
	$comandoTrocaRepeticao="disabled";//quando faz 1 de 50  1x50      nao pode passr para repeticao 2 SE O CARA VACALHAR ENTAO zidane, mas sinstrução esta na tela para denfinir logo a modalidae	se vai ser 1x50  ou 2x50  ou eventualmente 2x100(pouco usado)
    $multiplicador=4;
endif;
	


$registros=post('registros');
$mensagem="";

//echo("tipo111111111 $tipo<br>") ;

//aqui a rotina criada para o tetrazolio 2 desenvolvido dia 08/11/13


if(post('su_gravar') !== ""):
    $quantas[0] = post('quantas1');
    $quantas[1] = post('quantas2');
    $quantas[2] = post('quantas3');
    $quantas[3] = post('quantas4');

	if($modalidadeArquivada==4):
	   $limite=0;//uma repeticao de 100 ou seja o valor direto
	   $fator=1;
    endif;          
	if($modalidadeArquivada==5):
	   $limite=1;//duas repeticoes de q00 ou seja divide´por 2
	   $fator=0.5;
    endif;          
	if($modalidadeArquivada==6):
	   $limite=3;
	   $fator=0.25;
    endif;          
    //procede a soma
    $soma=0;
    for($repeticao=0;$repeticao<=$limite;$repeticao++):
	     $soma+=$quantas[$repeticao]*$fator;  
	endfor;
	
	$soma=ceil($soma);

	 $sql="update rean1 set rea_v1='$soma',rea_v2='FORR',rea_lei1='$quantas[0]',rea_lei2='$quantas[1]',rea_lei3='$quantas[2]',rea_lei4='TZ3' where rea_teste='TZO' &&  rea_ficha=".$amostraLong;
 	 //grava_registro($sqlAltera);
	 $generica=new tabelagenerica();
	 $generica->grava_registro_com_retorno($sql);
endif;//TESTA SE ISSET SU GRAVAR
echo $sql;



////////////////////////////////########################################///////////////////////////////
//aqui vai ler os dados para visualizar na tabela ao entrar e ate mesmo depois de gravar 
//aqui vai colocar os valores nos text para o operador poder ver
$generica=new tabelagenerica();
$generica->tabela="rean1";
$generica->campos_valores = array(
    "rea_v1" => NULL,
    "rea_lei1" => NULL,
    "rea_lei2" => NULL,
    "rea_lei3" => NULL,
    "rea_lei4" => NULL,
);
$generica->extras_select =" where REA_TESTE='TZO' AND rea_ficha=".$amostraLong;
$generica->selecionaCampos($generica);
$registros=0;
while ($resgenerica = $generica->retornaDados()):
    $registros++;
	$valor1=$resgenerica->rea_lei1;
	$valor2=$resgenerica->rea_lei2;
	$valor3=$resgenerica->rea_lei3;
	$modex=$resgenerica->rea_lei4;
    $vigor=$resgenerica->rea_v1;
endwhile; 
echo("Resultado do  TZ=  $vigor  <br>");

$tamanhoGrade=330;

?>

<script language='Javascript'>
// construindo o calendário  aqui ele captura a data do dia e cria um calendario do mes corrente aproximado 
function  ClikButton(e)
{
	 //document.formAmostra.lote.value=document.formAmostra.especie.options[document.formAmostra.especie.selectedIndex].text;
	 document.formAmostra.tipo.value = e;
     alert(document.formAmostra.tipo.value)    //esta linha serve para ver qual botao foi clicado
	 /////////////////////comando do combo box//////////////////////////////

	 if(e==19 || e==20 ||e==21) //text 
	 {
		 //document.formAmostra.areia.value=document.formAmostra.areia.text;
		 document.formAmostra.submit();
	 }


}

</script>




 <form class="userform" method="POST" action="">   
                 


<h1 align="left">TETRAZÓLIO DE FORRAGEIRAS </h1>
<input type="hidden" name="idAmostra" value="<?php echo($amostraLong)?>" size=2 />
<input type="hidden" name="tipo1" value=<?php echo $reanLong ?> size=5 />
<input type="hidden" size="1" name="registros" value="<?php echo($registros)?>" size="3" />
<input type="hidden" size="1" name="vigor" value="<?php echo($vigor)?>" size="3" />
[Amostra:<?php echo($amostra)?> ] [Lote:<?php echo($lote)?> ] [Espécie:<?php echo($especie)?>]Ver manual de instrução, item 27<br>

<table bgcolor="silver" width="700">
<!---- esta é PARTE ESQUERDA  -->
<td><table width="400">
<tr>
  <td align="center">  Modalidade:</td>
</tr>
<tr>
  <td align="center">
<input type="radio" name="radiomodalidade" value="1x100"   <?php echo $cheque4;?>     >1x100
<input type="radio" name="radiomodalidade" value="2x100"   <?php echo $cheque5;?>     >2x100
<input type="radio" name="radiomodalidade" value="4x100"   <?php echo $cheque6;?>     >4x100  
 </td>
</tr>
<tr>
<td align="center">
<input type="submit"  name="modalidade"  value="Trocar" />
</td>
</tr>
</table></td>

<td>
<table>
<tr>
  <td align="center">Orientação:</td>
</tr>
<tr>
  <td align="center">Ajuste a modalidade, se for </td>
</tr>
<tr>
  <td align="center">preciso, antes de iniciar </td>
</tr>
<tr>
  <td align="center">os lançamentos. </td>
</tr>
<tr>
  <td align="center">Tem <?php echo $ordem; ?> lançamento(s). </td>
</tr>
</table></td>

</table>


<table width="750" align="left"  bgcolor="#f5f7c4">
<!--1 repeticao de 100############################-->
<?php
//echo("modalidade arquivada= $modalidadeArquivada<br>");
if($modalidadeArquivada==4):
?>
<tr>
<td>
Quantidade de normais=><input type="text" name="quantas1" value="<?php echo $valor1; ?>" size="3" />
</td>
</tr>
<?php
endif;
?>
<!--2 repeticao de 100#################################-->
<?php
//echo("modalidade arquivada= $modalidadeArquivada<br>");
if($modalidadeArquivada==5):
?>
<tr>
<td>
Rep 1:Quantidade de normais=><input type="text" name="quantas1" value="<?php echo $valor1; ?>" size="3" />
</td>
</tr>
<tr>
<td>
Rep 2:Quantidade de normais=><input type="text" name="quantas2" value="<?php echo $valor2; ?>" size="3" />
</td>
</tr>
<?php
endif;
?>

<!--4 repeticao de 100#################################-->
<?php
//echo("modalidade arquivada= $modalidadeArquivada<br>");
if($modalidadeArquivada==6):
?>
<tr>
<td>
Rep 1:Quantidade de normais=><input type="text" name="quantas1" value="<?php echo $valor1; ?>" size="3" />
</td>
</tr>
<tr>
<td>
Rep 2:Quantidade de normais=><input type="text" name="quantas2" value="<?php echo $valor2; ?>" size="3" />
</td>
</tr>
<tr>
<td>
Rep 3:Quantidade de normais=><input type="text" name="quantas3" value="<?php echo $valor3; ?>" size="3" />
</td>
</tr>
<tr>
<td>
Rep 4:Quantidade de normais=><input type="text" name="quantas4" value="<?php echo $valor4; ?>" size="3" />
</td>
</tr>
<?php
endif;
?>
</table>


<table>
<input type="submit"  name="su_gravar" value="CALCULAR/GRAVAR/TRANSFERIR" /><?php echo $mensagem; ?>
<td><input type="submit"  name="auxiliares" value="Dados complementares" /></td>



</td>
</tr>
</table>



 <br>1º Passo: Informe a modalidade;
 <br>1º Passo: Informe as normais e pressione enter. O sistema armazenara a quantidade de.
 <br>normais e faz o cálculo transportanto para a o campo TZ o resultado.



 <br><?php  echo $alerta100;?>

 
 
 </form> 
 
 
 <?php                   
 break;


	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>